| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
DissectorTablesItem Class Reference

Represents a single item in the dissector tables model, supporting tree structures. More...

`#include <dissector_tables_model.h>`

Inheritance diagram for DissectorTablesItem:

## Public Member Functions
| DissectorTablesItem (QString tableName, QString dissectorDescription, DissectorTablesItem *parent)
| Constructs a new DissectorTablesItem.
virtual | ~DissectorTablesItem ()
| Destroys the DissectorTablesItem.
QString | tableName () const
| Retrieves the table name associated with this item.
QString | dissectorDescription () const
| Retrieves the dissector description associated with this item.
virtual bool | lessThan (DissectorTablesItem &right) const
| Compares this item with another for sorting purposes.
Public Member Functions inherited from ModelHelperTreeItem< DissectorTablesItem >
| ModelHelperTreeItem (DissectorTablesItem *parent)
| Constructs a new ModelHelperTreeItem.
virtual | ~ModelHelperTreeItem ()
| Destroys the ModelHelperTreeItem and its children.
void | appendChild (DissectorTablesItem *child)
| Appends a child item to the end of the children list.
void | prependChild (DissectorTablesItem *child)
| Prepends a child item to the beginning of the children list.
void | insertChild (int row, DissectorTablesItem *child)
| Inserts a child item at the specified row.
void | removeChild (int row)
| Removes and deletes the child item at the specified row.
DissectorTablesItem * | child (int row)
| Retrieves the child item at the specified row.
int | childCount () const
| Gets the total number of child items.
int | row ()
| Gets the row index of this item relative to its parent.
DissectorTablesItem * | parentItem ()
| Retrieves the parent item.

## Protected Attributes
QString | tableName_
QString | dissectorDescription_
Protected Attributes inherited from ModelHelperTreeItem< DissectorTablesItem >
DissectorTablesItem * | parent_
QList< QVariant > | childItems_

## Detailed Description

Represents a single item in the dissector tables model, supporting tree structures.

## Constructor & Destructor Documentation

## ◆ DissectorTablesItem()

DissectorTablesItem::DissectorTablesItem | ( | QString | tableName,
|  | QString | dissectorDescription,
|  | DissectorTablesItem * | parent )

Constructs a new DissectorTablesItem.

Parameters

  tableName | The name of the dissector table.
  dissectorDescription | The description of the dissector.
  parent | The parent item in the tree.

## Member Function Documentation

## ◆ dissectorDescription()

QString DissectorTablesItem::dissectorDescription | ( |  | ) | const
| inline

Retrieves the dissector description associated with this item.

Returns
  The dissector description string.

## ◆ lessThan()

bool DissectorTablesItem::lessThan | ( | DissectorTablesItem & | right | ) | const
| virtual

Compares this item with another for sorting purposes.

Parameters

  right | The other DissectorTablesItem to compare against.

Returns
  True if this item is considered "less than" the right item, false otherwise.

Reimplemented in IntegerTablesItem.

## ◆ tableName()

QString DissectorTablesItem::tableName | ( |  | ) | const
| inline

Retrieves the table name associated with this item.

Returns
  The table name string.

## Member Data Documentation

## ◆ dissectorDescription_

QString DissectorTablesItem::dissectorDescription_
| protected

The dissector description string.

## ◆ tableName_

QString DissectorTablesItem::tableName_
| protected

The table name string.

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/models/dissector_tables_model.h
- /builds/wireshark/wireshark/ui/qt/models/dissector_tables_model.cpp